﻿Imports Infragistics.Win.UltraWinGrid

Public Class SampleForm
    Private Sub SampleGrid_InitializeLayout(sender As Object, e As InitializeLayoutEventArgs) Handles SampleGrid.InitializeLayout
        'Set formula on a column. The values in the Total column are calculated by multiplying the unit price by quantity
        e.Layout.Bands(0).Columns("Total").Formula = "[Unit Price] * [Quantity]"

        ' Create a formula summary. Following summary calculates the sum of Total column values
        e.Layout.Rows.Band.Summaries.Add("Grand Total", SummaryType.Sum, e.Layout.Bands(0).Columns("Total"))

        ' Set the text that shows up in the caption of the summary footer.
        e.Layout.Bands(0).SummaryFooterCaption = "Grand Total"
    End Sub
End Class
